Part RegularPolygon/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}} <!-- Note: Screenshot + Formatted Parameters + Scripting section. -->


{{Docnav/fr
{{Docnav/fr
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/fr
{{GuiCommand/fr
|Name=Part RegularPolygon
|Name=Part RegularPolygon
Line 19: Line 19:
|SeeAlso=[[Part_Primitives/fr|Part Primitives]]
|SeeAlso=[[Part_Primitives/fr|Part Primitives]]
}}
}}
</div>


== Description==
== Description==


<div class="mw-translate-fuzzy">
Crée une primitive géométrique polygone régulier.
Crée une primitive géométrique polygone régulier.
</div>

[[Image:Part_RegularPolygon_Example.png|400px]]


==Utilisation==
==Utilisation==


See [[Part_Primitives#Usage|Part Primitives]].
Le Polygone régulier est disponible à partir de la boîte de dialogue Créer des primitives dans l'atelier Part.
# Basculez vers l'[[Image:Workbench_Part.svg|24px]] [[Part_Workbench/fr|atelier Part]]
# La commande RegularPolygon est accessible de plusieurs manières:
#* La boîte de dialogue Créer des primitives via l'icône [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/fr|Création de primitives géométriques...]] située dans la barre d'outils Part
#* Utilisation de {{MenuCommand|Pièce → [[Part_Primitives/fr|Créer des primitives]] → Polygone régulier}}


== Paramètres ==
== Example ==


[[Image:Part_RegularPolygon_Scripting_Example.png|thumb|Part RegularPolygon from the scripting example]]
*Polygone - Le nombre de faces du polygone

*Rayon circonscrit - Le rayon de la circonférence du polygone en partant du centre jusqu’à l'extrémité du vertex.
A Part RegularPolygon object created with the [[#Scripting|scripting example]] below is shown here.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part RegularPolygon object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Regular Polygon}}

* {{PropertyData|Polygon|IntegerConstraint}}: The number of sides of the polygon. The default is {{Value|6}}.
* {{PropertyData|Circumradius|Length}}: The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is {{Value|2mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part RegularPolygon can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
}}

* Where {{Incode|"myPolygon"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()
}}




Line 47: Line 94:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 10:31, 3 March 2022

Part Polygone régulier

Emplacement du menu
Pièce → Créer des primitives → Polygone régulier
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
0.14
Voir aussi
Part Primitives

Description

Crée une primitive géométrique polygone régulier.

Utilisation

See Part Primitives.

Example

Part RegularPolygon from the scripting example

A Part RegularPolygon object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • DonnéesPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DonnéesCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()